<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('rekap_penerimaan_sample_print_histories', function (Blueprint $table) {
            $table->id();
            $table->date('tanggal')->nullable();
            $table->integer('printed_by_id')->nullable();
            $table->string('printed_by_name', 250)->nullable();
            $table->timestamp('printed_at')->nullable();
            $table->text('row_ids')->nullable();
            $table->longText('rows_payload')->nullable();
            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->useCurrent();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('rekap_penerimaan_sample_print_histories');
    }
};
